<?php
include 'koneksi.php';

$id      = $_POST['siswa_id'];
$nama    = $_POST['nama'];
$tanggal = $_POST['tanggal'];
$jam     = $_POST['jam_datang'];
$alasan  = $_POST['alasan'];

// jam masuk sekolah (ubah sesuai aturan sekolah)
$jam_masuk = "06:30:00";

// hitung selisih menit
$terlambat = max(0, (strtotime($jam) - strtotime($jam_masuk)) / 60);

// cek double
$cek = $koneksi->query("
SELECT * FROM keterlambatan 
WHERE siswa_id='$id' AND tanggal='$tanggal'
");

if($cek->num_rows > 0){
    echo "double";
}else{
    $koneksi->query("
    INSERT INTO keterlambatan 
    (siswa_id,nama_siswa,tanggal,jam_datang,menit_terlambat,alasan)
    VALUES ('$id','$nama','$tanggal','$jam','$terlambat','$alasan')
    ");
}